Package Details: mopidy-moped 0.7.0-1

Git Clone URL: https://aur.archlinux.org/mopidy-moped.git (read-only, click to copy)
Package Base: mopidy-moped
Description: Responsive Web client for Mopidy
Upstream URL: https://github.com/martijnboland/moped
Licenses: Apache
Submitter: trygveaa
Maintainer: None
Last Packager: trygveaa
Votes: 30
Popularity: 0.004567
First Submitted: 2014-07-28 19:59
Last Updated: 2017-01-12 11:02

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

trygveaa commented on 2020-04-13 12:05

MarcinWieczorek: Does Moped actually work with Python 3? I see that it hasn't been updated for it.

Anyways, I disowned this package, so if you or anyone else want to take it and update it, please do.

MarcinWieczorek commented on 2019-12-30 19:18

This patch works on mopidy 3.

diff --git a/PKGBUILD b/PKGBUILD
index 56e8436..2a2710e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,20 +1,20 @@
 # Maintainer: Trygve Aaberge <trygveaa+aur at gmail dot com>

 pkgname=mopidy-moped
-pkgver=0.7.0
+pkgver=0.7.1
 pkgrel=1
 pkgdesc="Responsive Web client for Mopidy"
 arch=('any')
 url="https://github.com/martijnboland/moped"
 license=('APACHE')
-depends=('python2' 'mopidy>=0.19')
-makedepends=('python2' 'python2-setuptools')
-source=("https://github.com/martijnboland/moped/archive/v${pkgver}.tar.gz")
-md5sums=('2529d63d3404ab613a265979677c6fb0')
+depends=('python' 'mopidy>=3.0.0')
+makedepends=('python-setuptools')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/martijnboland/moped/archive/v${pkgver}.tar.gz")
+md5sums=('da2a2f95c6a9c80a83986084e6db0d38')

 package() {
   cd "${srcdir}/moped-${pkgver}"
-  python2 setup.py install --root="${pkgdir}/" --optimize=1
+  python setup.py install --root="${pkgdir}/" --optimize=1

   install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 }

trygveaa commented on 2015-07-07 00:57

I have changed to using github, and updated to the newest version. Sorry for the slow response.

thelinuxguy commented on 2015-05-04 21:28

this is out of date. You can use the releases provided in github directly:
https://github.com/martijnboland/moped/archive/v0.5.0.tar.gz

mittens2001 commented on 2014-11-02 21:15

please update to 0.4.0